/*******************************************************************/
/* Comptabilit Analytique Professionnel                           */
/* 01/01/2002 - Version 0.1                                        */
/* CONRAD Pascal                                                   */
/*-----------------------------------------------------------------*/
/* 08/05/02 - Procdure d'impression PostScript                    */
/* Fichier entete                                                  */
/*******************************************************************/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
enum {FNT_NORMAL=0,FNT_BOLD=2,FNT_ITALIC=4};
enum {LEFT_JUST,CENTER_JUST,RIGHT_JUST};

void PS_sendReturn(void);
void PS_sendEOP(void);
double PS_CharSize(int Car);
int PS_strwidth(gchar *Str);
void PS_setFont(gchar *N,int size,int Att);
void  PS_justification(int Justif);
void PS_print(gchar *Str);
void PS_xprint(gint x,gchar *Str);
void PS_xyprint(gint x,gint y,gchar *Str);
void PS_blockPrint(gint x,gint y,gchar *blk);
void PS_rectangle(gint x,gint y,gint w,gint h,gint fill);
void PS_line(gint x1,gint y1,gint x2,gint y2);
void PS_beginPrint(int size,gchar *Title,void (*FuncPageBefore) (),void (*FuncPageAfter) ());
void PS_endPrint(gchar *cmd);
void PS_setTypeface(int Tpf);
void PS_setTextSize(int Size);
void PS_down(gint y);
void PS_up(gint y);
gint PS_getYpos();
gint PS_getFontHeight();
gint PS_getStringWidth(gchar *str);
void PS_show(gint x,gint y,gchar *Str);
